@font-face {
  font-family: Inter;
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url(/assets/fonts/Inter-Regular.woff2) format("woff2");
}
@font-face {
  font-family: Inter;
  font-style: normal;
  font-weight: 500;
  font-display: swap;
  src: url(/assets/fonts/Inter-Medium.woff2) format("woff2");
}
@font-face {
  font-family: Inter;
  font-style: normal;
  font-weight: 600;
  font-display: swap;
  src: url(/assets/fonts/Inter-SemiBold.woff2) format("woff2");
}
@font-face {
  font-family: Inter;
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url(/assets/fonts/Inter-Bold.woff2) format("woff2");
}
@font-face {
  font-family: Inter;
  font-style: normal;
  font-weight: 800;
  font-display: swap;
  src: url(/assets/fonts/Inter-ExtraBold.woff2) format("woff2");
}
@font-face {
  font-family: SF Mono;
  src: url(/assets/fonts/SFMonoRegular.woff2) format("woff2");
  font-display: auto;
  font-style: normal;
  font-weight: 400;
  font-stretch: normal;
}
* {
  padding: 0;
  margin: 0;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-tap-highlight-color: transparent;
  outline: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  border: none;
}
html {
  scroll-behavior: smooth; /* Enables smooth scrolling */
  min-height: 100%;
  min-width: 100%;
}
body {
  background: #fff;
  color: #00022f;
  line-height: 1.4;
  font-family: Inter, -apple-system, Arial, sans-serif;
  position: relative;
  margin: 0;
}


.transactions {
  padding: 50px 0;
  margin: 0 0 50px;
}
.transactions-table {
  margin: 50px 0 0;
  overflow-x: auto;
}
.transactions-table_row {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: fit-content;
  min-width: 100%;
  gap: 20px;
}
.transactions-table_row.__contentLoading > div {
  background: linear-gradient(to right, #e6e6e6 20%, #d2d2d2, #e6e6e6 80%);
  background-size: 500px 100px;
  animation: moving-gradient 1s linear infinite;
  border-radius: 5px;
}
@-webkit-keyframes moving-gradient {
  0% {
    background-position: -250px 0;
  }
  to {
    background-position: 250px 0;
  }
}
.transactions-table_col {
  height: 35px;
  min-width: 150px;
  max-width: 150px;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}
.transactions-table_col:last-child {
  justify-content: flex-end;
}
.transactions-table_col > div {
  border-radius: 5px;
  background: #fff;
  padding: 6px 14px;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  overflow: unset;
}
.transactions-table_col p {
  overflow: visible;
  text-overflow: unset;
  white-space: nowrap;
}
.transactions-table_col.__value p {
  display: flex;
  align-items: center;
  gap: 6px;
  white-space: nowrap;
}
.transactions-table_col.__value img {
  width: 20px;
  height: 20px;
}

.token img {
  flex-shrink: 0;
}
.token {
  display: inline-flex;
  align-items: center;
  gap: 4px;
}

.token-icon {
  width: 20px;
  height: 20px;
  object-fit: contain;
}

.transactions-table_header {
  padding: 0 20px;
  margin: 0 0 20px;
}
.transactions-table_header .transactions-table_col > div {
  background: #24337a;
}
.transactions-table_header .transactions-table_col > div p {
  color: #fff;
  font-weight: 600;
}
.transactions-table_body {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.transactions-table_body > div {
  padding: 13px 20px;
  border-radius: 10px;
  border: 2px solid #efefef;
  background: #f5f5f5;
}
.transactions-table_body .__date div {
  background: #24337a1a;
}
.transactions-table_body .__date div p {
  color: #24337a;
}
.transactions-table_body .__status.__process div {
  background: #d020301a;
  color: #d02030;
}
.transactions-table_body .__status.__completed div {
  background-color: #24337a1a;
  color: #24337a;
  transition: background-color 0.15s, color 0.15s;
}
.transactions-table .__status {
  width: 130px;
}
.transactions-table .__status > div {
  display: flex;
  align-items: center;
  gap: 6px;
}
.transactions-table .__status svg {
  width: 21px;
  height: 21px;
}
.transactions-table .__status.__process svg {
  animation: spin 3s linear infinite;
}
.transactions-table .__address {
  min-width: 220px;
  max-width: 220px;
}
.transactions-table .__value {
  min-width: 180px;
  max-width: 180px;
}
.transactions-table .__date {
  min-width: 150px;
  max-width: 150px;
}
@media (max-width: 500px) {
  
  .transactions {
    margin: 0;
  }
  .transactions-table {
    font-size: 15px;
    margin: 30px auto 0;
  }
  .transactions-table_row {
    gap: 12px;
  }
  .transactions-table_col {
    height: 31px;
  }
  .transactions-table_body > div {
    padding: 10px 20px;
  }

}
